## org.eclipse.datatools.sqltools.sqleditor.sql
Class AbstractSQLEditorTextHover

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.sql.AbstractSQLEditorTextHover

public abstract class AbstractSQLEditorTextHover
extends java.lang.Object

Provides a common base class for all text hovers of SQL Editor.

Author:
  Hui Cao

Constructor Summary
`AbstractSQLEditorTextHover()`

Method Summary
`IInformationControlCreator` `getHoverControlCreator()`
`IRegion` `getHoverRegion(ITextViewer textViewer, int offset)`
`abstract void` `setEditor(IEditorPart editor)` Associates a SQL editor with this hover.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSQLEditorTextHover

    public AbstractSQLEditorTextHover()

Method Detail

### setEditor

    public abstract void setEditor(IEditorPart editor)

  Associates a SQL editor with this hover. Subclass can cache it for later use.

  Parameters:
    `editor` -

### getHoverControlCreator

    public IInformationControlCreator getHoverControlCreator()

### getHoverRegion

    public IRegion getHoverRegion(ITextViewer textViewer,
                                  int offset)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.